<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://github.com/jubelio
 * @since             1.0.0
 * @package           Jubelio
 * @subpackage        Jubelio-Shipment
 *
 * @wordpress-plugin
 * Plugin Name:       Jubelio Shipment
 * Plugin URI:        https://github.com/jubelio/jubelio-shipment
 * Description:       Simple and fast WooCommerce plugin with various courier options such as Grab Express, JNE, SiCepat, Paxel, and many more
 * Version:           1.5.4
 * Author:            Jubelio
 * Author URI:        https://github.com/jubelio
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       jubelio-shipment
 * Domain Path:       /languages
 *
 * WC requires at least: 3.0.0
 * WC tested up to: 5.1.0
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Define plugin constants.
define( 'JUBELIO_SHIPMENT_VERSION', '1.5.4' );
define( 'JUBELIO_SHIPMENT_METHOD_ID', 'jubelioshipment' );
define( 'JUBELIO_SHIPMENT_FILE', __FILE__ );
define( 'JUBELIO_SHIPMENT_PATH', plugin_dir_path( JUBELIO_SHIPMENT_FILE ) );
define( 'JUBELIO_SHIPMENT_URL', plugin_dir_url( JUBELIO_SHIPMENT_FILE ) );

require_once JUBELIO_SHIPMENT_PATH . 'includes/helpers.php';

if ( function_exists( 'jubelioshipment_autoload' ) ) {
	spl_autoload_register( 'jubelioshipment_autoload' );
}

if ( jubelioshipment_is_plugin_active( 'woocommerce/woocommerce.php' ) && class_exists( 'JubelioShipment' ) ) {
	JubelioShipment::get_instance();
}
